@font-face {
  font-family: Arcena;
  src: url('../fonts/Arcena.ttf') format('truetype');
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: Geometro;
  src: url('../fonts/geometr212_light.ttf') format('opentype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: Geometro;
  src: url('../fonts/geometr212_heavy.ttf') format('truetype');
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  src: local("Roboto"), local("Roboto-Regular"), url(http://fonts.gstatic.com/s/roboto/v15/zN7GBFwfMP4uA6AR0HCoLQ.ttf) format("truetype")
}

html {
  height: 100%;
}

body {
  height: 100%;
  margin: 0px;
  font-size: 16px;
  background-color: #07182C;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  overflow: hidden;
  background-image: url('../img/puzzlePack1.jpg');
  background-size: cover;
}

#gameplay {
  height: 100%;
  width: 100%;
  padding: 0em 1em 0em 1em;
  box-sizing: border-box;
  max-width: 1024px;
  max-height: 768px;
  margin: 0 auto;
  overflow-y: scroll;
  overflow: -moz-scrollbars-none;
  -ms-overflow-style: none;
}

::-webkit-scrollbar {
  width: 0px;
  /* remove scrollbar space */
  background: transparent;
  width: 0 !important;
}

#leftpanel {
  width: 50%;
  height: 100%;
  float: left;
}

#header {
  height: 12%;
  white-space: nowrap;
  /*overflow-x: visible;*/
}


/* Specific to header */

#todaysDate {
  font-size: 2.2em;
  font-family: Geometro;
  color: black;
  text-align: center;
  padding: 0px;
}

#gameboard {
  /* Borders */
  border-width: .25em;
  border-radius: 1em;
  border-style: solid;
  border-color: black;
  background-color: white;
  cursor: pointer;
  overflow: hidden;
}

.letterRow {
  height: 20%;
  /*width: 100%;*/
  /* Borders */
  /*border-right-width: .2em;*/
  box-sizing: border-box;
}

.letterRow:not(:last-child) {
  border-bottom-color: black;
  border-bottom-style: solid;
}

.cell {
  float: left;
  width: 20%;
  height: 100%;
  /* Borders */
  box-sizing: border-box;
}

.cell:not(:last-child) {
  border-right-width: .2em;
  border-right-color: black;
  border-right-style: solid;
}

.letter {
  font-size: 4em;
  text-align: center;
  line-height: 1.6em;
  font-family: Arial;
  font-weight: bold;
}

.hotspot {
  position: relative;
  margin-top: -1.3em;
  left: .4em;
  height: 1em;
  width: 50%;
  /*background: orange;*/
  border-radius: 1em;
}

.cellForSelectedLetter {
  background-color: cornsilk;
  /*z-index: -99999;*/
  /* Not sure why this was needed? */
}

.cellForSelectedLetter .letter {
  color: orange;
}

.removedLetter {
  color: #F0F0F0;
}

.inSelectedWord {
  color: orangered;
}

.selectedWord {
  color: orangered;
  font-weight: bold;
}

#aboutInfo {
  padding-top: 2%;
  font-family: Geometro;
  text-align: center;
  color: white;
}

#rightpanel {
  width: 50%;
  height: 100%;
  float: left;
  padding: 0em 0em 0em 1em;
  box-sizing: border-box;
}

#stars {
  height: 15%;
}

.star {
  /*height: 100%;
      text-align: center;
      width: 33.3%;
      float: left;

      /* Star image (empty or filled) */
  /*background-size: 100%;
      background-repeat: no-repeat;*/
}

#stargroup {
  /*width: 50%;
      height: 100%;
      clear: both;
      margin: 0 25% 0 25%;*/
}

#stars .star.empty {
  background-image: url('../img/star-empty.png');
}

#stars .star.filled {
  background-image: url('../img/star-filled.png');
}

#tabsystem {
  height: 70%;
  cursor: pointer;
  position: relative;
}

.tabsGroup {
  /*left: 62.5%;
    width: 35.5%;
    font-size: 27px;
    top: 18%;
    height: 62.5%;
    border-style-bottom: solid;
    border-color-bottom: white;*/
}

.tab {
  float: left;
  color: white;
  text-align: center;
  max-height: 50px;
  cursor: pointer;
  border-width: .15em;
  border-style: solid;
  border-top-color: white;
  border-left-color: white;
  border-right-color: white;
  border-bottom: none;
  user-select: none;
  border-top-left-radius: 20px;
  border-top-right-radius: 4px;
  height: 10%;
  padding-left: 2%;
  padding-right: 2%;
  text-transform: none;
  min-width: 22%;
  margin-right: 3px;
  box-sizing: border-box;
}

.tab {
  background-color: #134685;
  font-family: Geometro;
  font-size: 1.8em;
  float: left;
  width: 28%;
  color: white;
  height: 100%;
}

.isSelectedTab {
  font-weight: bold;
  color: cyan;
}

#tabHeaders {
  clear: both;
  width: 100%;
}

#tabContents {
  background-image: url('../img/gameplay-wordlist.png');
  background-size: 100%;
  background-repeat: no-repeat;
  height: 100%;
  padding: 2em 1em;
  box-sizing: border-box;
  border-radius: 1em;
  color: white;
}

#gameplayWordList {
  color: white;
  font-family: Geometro;
  font-size: 2.4em;
  font-weight: bold;
  padding-top: .6em;
  line-height: 1.3em;
}

#wordList {
  border-color: black;
  border-width: 4px;
  border-style: solid;
  font-family: Geometro;
  font-weight: bold;
  font-size: 2.5em;
  color: white;
}

.wordListWord {
  float: left;
  min-width: 50%;
}


/*.selectedWord {
    color: orangered;
    font-weight: bold;
  }*/

.tabBottomSection {
  bottom: 1%;
  position: absolute;
  width: 100%;
  text-align: center;
}

.tabBottomSection button {
  background-color: #5f9ea0;
}

hints, rule-list {
  padding-top: 1em;
  font-family: Geometro;
  color: white;
}

hints div, #ruleList div {
  padding-left: .2em;
  padding-right: .2em;
  font-size: 1.15em;
}

#gamebuttons {
  height: 15%;
  cursor: pointer;
  font-family: Geometro;
  font-size: 1.3em;
  overflow: hidden;
}

#buttons {
  height: 100%;
  width: 50%;
  margin: 0px 25% 0px 25%;
  text-align: center;
  clear: both;
}

#tutorialDialog {
  height: 100%;
}

#tutorialHeader {
  height: 10%;
  font-family: Geometro;
  padding-top: 1em;
  box-sizing: border-box;
}

.tutorialImage {
  height: 100%;
}

#tutorialContent {
  height: 80%;
  overflow: hidden;
}

#tutorialButtons {
  position: absolute;
  bottom: 0;
  width: 100%;
  text-align: left;
  height: 10%;
  font-family: Geometro;
  font-size: 2em;
  border: none;
  padding-top: .35em;
  box-sizing: border-box;
}

#tutorialButtons button {
  font-family: Geometro;
  background: none;
  border: none;
  font-weight: normal;
  width: auto;
  position: absolute;
  padding: 0px;
  font-size: 36px;
  margin-right: 50px;
  margin-left: 50px;
  color: white;
}

.tutorialStepNumber {
  background: red;
  font-family: Geometro;
  color: white;
  font-weight: bold;
  font-size: 30px;
  border-radius: 22px;
  /* position: absolute; */
  min-width: 40px;
  min-height: 40px;
  display: inline-block;
}

.tutorialStepDescription {
  font-family: Geometro;
  /*height: 10%;*/
  width: 100%;
  display: inline;
  font-size: 30px;
  color: white;
  margin-top: 1px;
  margin-bottom: 0%;
  font-weight: bold;
}


/* Solve panel */

#solvePanelContainer {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0px;
}

#solvePage {
  background-image: url(../img/solve-stamp.png);
  background-size: 100%;
  background-repeat: no-repeat;
  height: 100%;
  margin: 10%;
  box-sizing: border-box;
}

#solvePage #message {
  /* width: 100%; */
  /* height: 25%; */
  position: relative;
  font-size: 2.1em;
  font-family: Geometro;
  /* color: white; */
  /* background: black; */
  /* z-index: 2000000; */
  padding: 1em;
  top: 60%;
  box-sizing: border-box;
  background: black;
  border: darkred solid;
  border-radius: 1em;
  text-align: center;
  color: white;
}

#okayButton {
  position: relative;
  display: inline-block;
}


/* General format modifiers */

.stroked {
  color: white;
  -webkit-text-fill-color: white;
  -webkit-text-stroke-width: 2px;
  -webkit-text-stroke-color: black;
  text-shadow: 3px 3px 3px #000;
}

.largestcaption {
  font-family: Arcena;
  font-size: 5.25em;
  border: #134685;
}

.transientMessage {
  font-size: 2em;
  font-weight: bold;
  opacity: .9;
  position: absolute;
  /* left: 2%; */
  bottom: .5em;
  color: white;
  width: 90%;
  text-align: center;
  border-radius: 2em;
  /* text-shadow: 0em 1em 1em black; */
  font-family: "Geometro";
  text-transform: none;
  background-color: red;
  padding: 2%;
  border: solid white;
  border-width: .25em;
  box-sizing: border-box;
  /* margin-left: 1em; */
  /* margin-right: 1em; */
  left: 5%;
  right: 5%;
}

.dialogCloseButton {
  position: absolute;
  background-image: url('../img/close-icon.png');
  background-size: 100%;
  background-repeat: no-repeat;
  width: 38px;
  height: 38px;
  top: 8px;
  right: 8px;
}

.modernButton {
  border: solid white .25em;
  border-radius: 1em;
  color: white;
  font-family: Geometro;
  font-size: 1.5em;
  padding: .3em .4em .4em .4em;
  margin-bottom: .3em;
  margin-right: 1em;
  /* Compensate for external padding */
  z-index: 1;
}


/* Rows of game buttons */

.thingRow {
  height: 100%;
  text-align: center;
}

.thing {
  position: relative;
  display: inline-block;
  top: 50%;
  transform: translateY(-50%);
}

.thingImage {
  height: 4em;
  width: 4em;
  background-size: 100%;
}

.thingImage>span {
  display: inline-block;
  left: 15%;
  width: 70%;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

#btnPuzzleArchive {
  position: absolute;
  top: 1em;
  right: 1em;
  background-image: url('../img/calendar.png');
  background-size: 100%;
  cursor: pointer;
  width: 2em;
  height: 2em;
  z-index: 99999;
  text-align: center;
}

#puzzleArchiveContainer {
  position: absolute;
  top: 1em;
  right: 1em;
  width: 30%;
  background: rgba(0, 0, 0, 156);
  color: white;
  border: solid darkred 1px;
  border-radius: 2em;
  z-index: 20000;
}

#puzzleArchive {
  margin: 10%;
  box-sizing: border-box;
  font-family: Geometro;
  font-size: 1.5em;
}

#puzzleArchive #heading {
  text-align: center;
  margin-bottom: 1em;
}

#puzzleArchive div {
  cursor: pointer;
}


/* Very limited media query - just change the font size */


/* on the body tag so that everything using "em" sizing */


/* will be more appropriately sized */

@media (min-width: 1px) and (max-width: 319px) {
  body {
    font-size: 6px;
  }
}

@media (min-width: 320px) and (max-width: 481px) {
  body {
    font-size: 7px;
  }
}

@media (min-width: 482px) and (max-width: 769px) {
  body {
    font-size: 8px;
  }
  .letter {
    line-height: 2em;
  }
}

@media (min-width: 770px) and (max-width: 981px) {
  body {
    font-size: 15px;
  }
}

@media (orientation: portrait) {
  body {
    /*background: orange;*/
  }
  #gameplay {
    max-height: 550px;
  }
  .letter {
    line-height: 2.4em;
  }
}

#responsiveGameContainer {
  /*background: red;*/
  height: 75vw;
}

@media (orientation: portrait) {
  #responsiveGameContainer {
    background: pink;
    height: 64vw;
  }
}
